=========
Reference
=========

Client
======

.. autofunction:: barbicanclient.client.Client

Secrets
=======

.. autoclass:: barbicanclient.v1.secrets.SecretManager
   :members:

.. autoclass:: barbicanclient.v1.secrets.Secret
   :members:

Orders
======

.. autoclass:: barbicanclient.v1.orders.OrderManager
   :members:

.. autoclass:: barbicanclient.v1.orders.Order
   :members:

.. autoclass:: barbicanclient.v1.orders.KeyOrder
   :members:

.. autoclass:: barbicanclient.v1.orders.AsymmetricOrder
   :members:

Containers
==========

.. autoclass:: barbicanclient.v1.containers.ContainerManager
   :members:

.. autoclass:: barbicanclient.v1.containers.Container
   :members:

.. autoclass:: barbicanclient.v1.containers.RSAContainer
   :members:

.. autoclass:: barbicanclient.v1.containers.CertificateContainer
   :members:

Certificate Authorities
=======================

.. autoclass:: barbicanclient.v1.cas.CAManager
   :members:

.. autoclass:: barbicanclient.v1.cas.CA
   :members:

ACLs
====

.. autoclass:: barbicanclient.v1.acls.ACLManager
   :members:

.. autoclass:: barbicanclient.v1.acls.SecretACL
   :members:
   :inherited-members:

.. autoclass:: barbicanclient.v1.acls.ContainerACL
   :members:
   :inherited-members:

Exceptions
==========

.. automodule:: barbicanclient.exceptions
    :members:
